Package org.jboss.resteasy.core

## Class ResteasyDeploymentImpl

- java.lang.Object
- - org.jboss.resteasy.core.ResteasyDeploymentImpl

- All Implemented Interfaces:
    `ResteasyDeployment`
  Direct Known Subclasses:
    `VertxResteasyDeployment`

      public class ResteasyDeploymentImpl
      extends Object
      implements ResteasyDeployment

  This class is used to configure and initialize the core components of RESTEasy.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Class>` | `actualProviderClasses` |
    `protected List<Class>` | `actualResourceClasses` |
    `protected boolean` | `addCharset` |
    `protected javax.ws.rs.core.Application` | `application` |
    `protected String` | `applicationClass` |
    `protected String` | `asyncJobServiceBasePath` |
    `protected boolean` | `asyncJobServiceEnabled` |
    `protected int` | `asyncJobServiceMaxJobResults` |
    `protected long` | `asyncJobServiceMaxWait` |
    `protected int` | `asyncJobServiceThreadPoolSize` |
    `protected Map<String,​String>` | `constructedDefaultContextObjects` |
    `protected Map<Class,​Object>` | `defaultContextObjects` |
    `protected boolean` | `deploymentSensitiveFactoryEnabled` |
    `protected Dispatcher` | `dispatcher` |
    `protected InjectorFactory` | `injectorFactory` |
    `protected String` | `injectorFactoryClass` |
    `protected List<String>` | `jndiComponentResources` |
    `protected List<String>` | `jndiResources` |
    `protected Map<String,​String>` | `languageExtensions` |
    `protected Map<String,​String>` | `mediaTypeMappings` |
    `protected String` | `paramMapping` |
    `protected Map<String,​Object>` | `properties` |
    `protected List<String>` | `providerClasses` |
    `protected ResteasyProviderFactory` | `providerFactory` |
    `protected List<Object>` | `providers` |
    `protected boolean` | `registerBuiltin` |
    `protected Registry` | `registry` |
    `protected List<String>` | `resourceClasses` |
    `protected List<ResourceFactory>` | `resourceFactories` |
    `protected List<Object>` | `resources` |
    `protected List<String>` | `scannedJndiComponentResources` |
    `protected List<String>` | `scannedProviderClasses` |
    `protected List<String>` | `scannedResourceClasses` |
    `protected Map<String,​List<String>>` | `scannedResourceClassesWithBuilder` |
    `protected boolean` | `securityEnabled` |
    `protected boolean` | `statisticsEnabled` |
    `protected ThreadLocalResteasyProviderFactory` | `threadLocalProviderFactory` |
    `protected List<String>` | `unwrappedExceptions` |
    `protected boolean` | `useContainerFormParams` |
    `protected boolean` | `widerRequestMatching` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyDeploymentImpl()` |
    `ResteasyDeploymentImpl​(boolean quarkus)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.ws.rs.core.Application` | `createApplication​(String applicationClass, Dispatcher dispatcher, ResteasyProviderFactory providerFactory)` |
    `List<Class>` | `getActualProviderClasses()` |
    `List<Class>` | `getActualResourceClasses()` |
    `javax.ws.rs.core.Application` | `getApplication()` |
    `String` | `getApplicationClass()` |
    `String` | `getAsyncJobServiceBasePath()` |
    `int` | `getAsyncJobServiceMaxJobResults()` |
    `long` | `getAsyncJobServiceMaxWait()` |
    `int` | `getAsyncJobServiceThreadPoolSize()` |
    `Map<String,​String>` | `getConstructedDefaultContextObjects()` |
    `Map<Class,​Object>` | `getDefaultContextObjects()` |
    `Dispatcher` | `getDispatcher()` |
    `InjectorFactory` | `getInjectorFactory()` |
    `String` | `getInjectorFactoryClass()` |
    `List<String>` | `getJndiComponentResources()` |
    `List<String>` | `getJndiResources()` |
    `Map<String,​String>` | `getLanguageExtensions()` |
    `Map<String,​String>` | `getMediaTypeMappings()` |
    `Object` | `getProperty​(String key)` |
    `List<String>` | `getProviderClasses()` |
    `ResteasyProviderFactory` | `getProviderFactory()` |
    `List<Object>` | `getProviders()` |
    `Registry` | `getRegistry()` |
    `List<String>` | `getResourceClasses()` |
    `List<ResourceFactory>` | `getResourceFactories()` |
    `List<Object>` | `getResources()` |
    `List<String>` | `getScannedJndiComponentResources()` |
    `List<String>` | `getScannedProviderClasses()` |
    `List<String>` | `getScannedResourceClasses()` |
    `Map<String,​List<String>>` | `getScannedResourceClassesWithBuilder()` |
    `List<String>` | `getUnwrappedExceptions()` |
    `protected void` | `initializeDispatcher()` |
    `protected void` | `initializeFactory()` |
    `protected void` | `initializeObjects()` |
    `boolean` | `isAddCharset()` |
    `boolean` | `isAsyncJobServiceEnabled()` |
    `boolean` | `isDeploymentSensitiveFactoryEnabled()` |
    `boolean` | `isRegisterBuiltin()` |
    `boolean` | `isSecurityEnabled()` |
    `boolean` | `isUseContainerFormParams()` |
    `boolean` | `isWiderRequestMatching()` |
    `void` | `merge​(ResteasyDeployment other)` |
    `protected void` | `pushContext()` |
    `protected boolean` | `registerApplication()` |
    `protected void` | `registerMappers()` |
    `protected void` | `registerResources​(boolean useScanning)` |
    `void` | `registration()` |
    `void` | `setActualProviderClasses​(List<Class> actualProviderClasses)` |
    `void` | `setActualResourceClasses​(List<Class> actualResourceClasses)` |
    `void` | `setAddCharset​(boolean addCharset)` |
    `void` | `setApplication​(javax.ws.rs.core.Application application)` |
    `void` | `setApplicationClass​(String applicationClass)` |
    `void` | `setAsyncJobServiceBasePath​(String asyncJobServiceBasePath)` |
    `void` | `setAsyncJobServiceEnabled​(boolean asyncJobServiceEnabled)` |
    `void` | `setAsyncJobServiceMaxJobResults​(int asyncJobServiceMaxJobResults)` |
    `void` | `setAsyncJobServiceMaxWait​(long asyncJobServiceMaxWait)` |
    `void` | `setAsyncJobServiceThreadPoolSize​(int asyncJobServiceThreadPoolSize)` |
    `void` | `setConstructedDefaultContextObjects​(Map<String,​String> constructedDefaultContextObjects)` |
    `void` | `setDefaultContextObjects​(Map<Class,​Object> defaultContextObjects)` |
    `void` | `setDeploymentSensitiveFactoryEnabled​(boolean deploymentSensitiveFactoryEnabled)` |
    `void` | `setDispatcher​(Dispatcher dispatcher)` |
    `void` | `setInjectorFactory​(InjectorFactory injectorFactory)` |
    `void` | `setInjectorFactoryClass​(String injectorFactoryClass)` |
    `void` | `setJndiComponentResources​(List<String> jndiComponentResources)` |
    `void` | `setJndiResources​(List<String> jndiResources)` |
    `void` | `setLanguageExtensions​(Map<String,​String> languageExtensions)` |
    `void` | `setMediaTypeMappings​(Map<String,​String> mediaTypeMappings)` |
    `void` | `setMediaTypeParamMapping​(String paramMapping)` |
    `void` | `setProperty​(String key, Object value)` |
    `void` | `setProviderClasses​(List<String> providerClasses)` |
    `void` | `setProviderFactory​(ResteasyProviderFactory providerFactory)` |
    `void` | `setProviders​(List<Object> providers)` |
    `void` | `setRegisterBuiltin​(boolean registerBuiltin)` |
    `void` | `setRegistry​(Registry registry)` |
    `void` | `setResourceClasses​(List<String> resourceClasses)` |
    `void` | `setResourceFactories​(List<ResourceFactory> resourceFactories)` |
    `void` | `setResources​(List<Object> resources)` |
    `void` | `setScannedJndiComponentResources​(List<String> scannedJndiComponentResources)` |
    `void` | `setScannedProviderClasses​(List<String> scannedProviderClasses)` |
    `void` | `setScannedResourceClasses​(List<String> scannedResourceClasses)` |
    `void` | `setScannedResourceClassesWithBuilder​(Map<String,​List<String>> scannedResourceClassesWithBuilder)` |
    `void` | `setSecurityEnabled​(boolean securityEnabled)` |
    `void` | `setStatisticsEnabled​(boolean statisticsEnabled)` |
    `void` | `setUnwrappedExceptions​(List<String> unwrappedExceptions)` |
    `void` | `setUseContainerFormParams​(boolean useContainerFormParams)` |
    `void` | `setWiderRequestMatching​(boolean widerRequestMatching)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### widerRequestMatching

          protected boolean widerRequestMatching

    - #### useContainerFormParams

          protected boolean useContainerFormParams

    - #### deploymentSensitiveFactoryEnabled

          protected boolean deploymentSensitiveFactoryEnabled

    - #### asyncJobServiceEnabled

          protected boolean asyncJobServiceEnabled

    - #### addCharset

          protected boolean addCharset

    - #### asyncJobServiceMaxJobResults

          protected int asyncJobServiceMaxJobResults

    - #### asyncJobServiceMaxWait

          protected long asyncJobServiceMaxWait

    - #### asyncJobServiceThreadPoolSize

          protected int asyncJobServiceThreadPoolSize

    - #### asyncJobServiceBasePath

          protected String asyncJobServiceBasePath

    - #### applicationClass

          protected String applicationClass

    - #### injectorFactoryClass

          protected String injectorFactoryClass

    - #### injectorFactory

          protected InjectorFactory injectorFactory

    - #### application

          protected javax.ws.rs.core.Application application

    - #### registerBuiltin

          protected boolean registerBuiltin

    - #### scannedResourceClasses

          protected List<String> scannedResourceClasses

    - #### scannedProviderClasses

          protected List<String> scannedProviderClasses

    - #### scannedJndiComponentResources

          protected List<String> scannedJndiComponentResources

    - #### scannedResourceClassesWithBuilder

          protected Map<String,​List<String>> scannedResourceClassesWithBuilder

    - #### jndiComponentResources

          protected List<String> jndiComponentResources

    - #### providerClasses

          protected List<String> providerClasses

    - #### actualProviderClasses

          protected List<Class> actualProviderClasses

    - #### providers

          protected List<Object> providers

    - #### securityEnabled

          protected boolean securityEnabled

    - #### jndiResources

          protected List<String> jndiResources

    - #### resourceClasses

          protected List<String> resourceClasses

    - #### unwrappedExceptions

          protected List<String> unwrappedExceptions

    - #### actualResourceClasses

          protected List<Class> actualResourceClasses

    - #### resourceFactories

          protected List<ResourceFactory> resourceFactories

    - #### resources

          protected List<Object> resources

    - #### mediaTypeMappings

          protected Map<String,​String> mediaTypeMappings

    - #### languageExtensions

          protected Map<String,​String> languageExtensions

    - #### defaultContextObjects

          protected Map<Class,​Object> defaultContextObjects

    - #### constructedDefaultContextObjects

          protected Map<String,​String> constructedDefaultContextObjects

    - #### registry

          protected Registry registry

    - #### dispatcher

          protected Dispatcher dispatcher

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### threadLocalProviderFactory

          protected ThreadLocalResteasyProviderFactory threadLocalProviderFactory

    - #### paramMapping

          protected String paramMapping

    - #### properties

          protected Map<String,​Object> properties

    - #### statisticsEnabled

          protected boolean statisticsEnabled

  - ### Constructor Detail

    - #### ResteasyDeploymentImpl

          public ResteasyDeploymentImpl()

    - #### ResteasyDeploymentImpl

          public ResteasyDeploymentImpl​(boolean quarkus)

  - ### Method Detail

    - #### start

          public void start()

      Specified by:
        `start` in interface `ResteasyDeployment`

    - #### registerMappers

          protected void registerMappers()

    - #### pushContext

          protected void pushContext()

    - #### initializeObjects

          protected void initializeObjects()

    - #### initializeDispatcher

          protected void initializeDispatcher()

    - #### initializeFactory

          protected void initializeFactory()

    - #### merge

          public void merge​(ResteasyDeployment other)

      Specified by:
        `merge` in interface `ResteasyDeployment`

    - #### createApplication

          public static javax.ws.rs.core.Application createApplication​(String applicationClass,
                                                                       Dispatcher dispatcher,
                                                                       ResteasyProviderFactory providerFactory)

    - #### registration

          public void registration()

      Specified by:
        `registration` in interface `ResteasyDeployment`

    - #### registerResources

          protected void registerResources​(boolean useScanning)

    - #### registerApplication

          protected boolean registerApplication()

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `ResteasyDeployment`

    - #### isUseContainerFormParams

          public boolean isUseContainerFormParams()

      Specified by:
        `isUseContainerFormParams` in interface `ResteasyDeployment`

    - #### setUseContainerFormParams

          public void setUseContainerFormParams​(boolean useContainerFormParams)

      Specified by:
        `setUseContainerFormParams` in interface `ResteasyDeployment`

    - #### getJndiComponentResources

          public List<String> getJndiComponentResources()

      Specified by:
        `getJndiComponentResources` in interface `ResteasyDeployment`

    - #### setJndiComponentResources

          public void setJndiComponentResources​(List<String> jndiComponentResources)

      Specified by:
        `setJndiComponentResources` in interface `ResteasyDeployment`

    - #### getApplicationClass

          public String getApplicationClass()

      Specified by:
        `getApplicationClass` in interface `ResteasyDeployment`

    - #### setApplicationClass

          public void setApplicationClass​(String applicationClass)

      Specified by:
        `setApplicationClass` in interface `ResteasyDeployment`

    - #### getInjectorFactoryClass

          public String getInjectorFactoryClass()

      Specified by:
        `getInjectorFactoryClass` in interface `ResteasyDeployment`

    - #### setInjectorFactoryClass

          public void setInjectorFactoryClass​(String injectorFactoryClass)

      Specified by:
        `setInjectorFactoryClass` in interface `ResteasyDeployment`

    - #### isDeploymentSensitiveFactoryEnabled

          public boolean isDeploymentSensitiveFactoryEnabled()

      Specified by:
        `isDeploymentSensitiveFactoryEnabled` in interface `ResteasyDeployment`

    - #### setDeploymentSensitiveFactoryEnabled

          public void setDeploymentSensitiveFactoryEnabled​(boolean deploymentSensitiveFactoryEnabled)

      Specified by:
        `setDeploymentSensitiveFactoryEnabled` in interface `ResteasyDeployment`

    - #### isAsyncJobServiceEnabled

          public boolean isAsyncJobServiceEnabled()

      Specified by:
        `isAsyncJobServiceEnabled` in interface `ResteasyDeployment`

    - #### setAsyncJobServiceEnabled

          public void setAsyncJobServiceEnabled​(boolean asyncJobServiceEnabled)

      Specified by:
        `setAsyncJobServiceEnabled` in interface `ResteasyDeployment`

    - #### getAsyncJobServiceMaxJobResults

          public int getAsyncJobServiceMaxJobResults()

      Specified by:
        `getAsyncJobServiceMaxJobResults` in interface `ResteasyDeployment`

    - #### setAsyncJobServiceMaxJobResults

          public void setAsyncJobServiceMaxJobResults​(int asyncJobServiceMaxJobResults)

      Specified by:
        `setAsyncJobServiceMaxJobResults` in interface `ResteasyDeployment`

    - #### getAsyncJobServiceMaxWait

          public long getAsyncJobServiceMaxWait()

      Specified by:
        `getAsyncJobServiceMaxWait` in interface `ResteasyDeployment`

    - #### setAsyncJobServiceMaxWait

          public void setAsyncJobServiceMaxWait​(long asyncJobServiceMaxWait)

      Specified by:
        `setAsyncJobServiceMaxWait` in interface `ResteasyDeployment`

    - #### getAsyncJobServiceThreadPoolSize

          public int getAsyncJobServiceThreadPoolSize()

      Specified by:
        `getAsyncJobServiceThreadPoolSize` in interface `ResteasyDeployment`

    - #### setAsyncJobServiceThreadPoolSize

          public void setAsyncJobServiceThreadPoolSize​(int asyncJobServiceThreadPoolSize)

      Specified by:
        `setAsyncJobServiceThreadPoolSize` in interface `ResteasyDeployment`

    - #### getAsyncJobServiceBasePath

          public String getAsyncJobServiceBasePath()

      Specified by:
        `getAsyncJobServiceBasePath` in interface `ResteasyDeployment`

    - #### setAsyncJobServiceBasePath

          public void setAsyncJobServiceBasePath​(String asyncJobServiceBasePath)

      Specified by:
        `setAsyncJobServiceBasePath` in interface `ResteasyDeployment`

    - #### getApplication

          public javax.ws.rs.core.Application getApplication()

      Specified by:
        `getApplication` in interface `ResteasyDeployment`

    - #### setApplication

          public void setApplication​(javax.ws.rs.core.Application application)

      Specified by:
        `setApplication` in interface `ResteasyDeployment`

    - #### isRegisterBuiltin

          public boolean isRegisterBuiltin()

      Specified by:
        `isRegisterBuiltin` in interface `ResteasyDeployment`

    - #### setRegisterBuiltin

          public void setRegisterBuiltin​(boolean registerBuiltin)

      Specified by:
        `setRegisterBuiltin` in interface `ResteasyDeployment`

    - #### getProviderClasses

          public List<String> getProviderClasses()

      Specified by:
        `getProviderClasses` in interface `ResteasyDeployment`

    - #### setProviderClasses

          public void setProviderClasses​(List<String> providerClasses)

      Specified by:
        `setProviderClasses` in interface `ResteasyDeployment`

    - #### getProviders

          public List<Object> getProviders()

      Specified by:
        `getProviders` in interface `ResteasyDeployment`

    - #### setProviders

          public void setProviders​(List<Object> providers)

      Specified by:
        `setProviders` in interface `ResteasyDeployment`

    - #### getActualProviderClasses

          public List<Class> getActualProviderClasses()

      Specified by:
        `getActualProviderClasses` in interface `ResteasyDeployment`

    - #### setActualProviderClasses

          public void setActualProviderClasses​(List<Class> actualProviderClasses)

      Specified by:
        `setActualProviderClasses` in interface `ResteasyDeployment`

    - #### getActualResourceClasses

          public List<Class> getActualResourceClasses()

      Specified by:
        `getActualResourceClasses` in interface `ResteasyDeployment`

    - #### setActualResourceClasses

          public void setActualResourceClasses​(List<Class> actualResourceClasses)

      Specified by:
        `setActualResourceClasses` in interface `ResteasyDeployment`

    - #### isSecurityEnabled

          public boolean isSecurityEnabled()

      Specified by:
        `isSecurityEnabled` in interface `ResteasyDeployment`

    - #### setSecurityEnabled

          public void setSecurityEnabled​(boolean securityEnabled)

      Specified by:
        `setSecurityEnabled` in interface `ResteasyDeployment`

    - #### getJndiResources

          public List<String> getJndiResources()

      Specified by:
        `getJndiResources` in interface `ResteasyDeployment`

    - #### setJndiResources

          public void setJndiResources​(List<String> jndiResources)

      Specified by:
        `setJndiResources` in interface `ResteasyDeployment`

    - #### getResourceClasses

          public List<String> getResourceClasses()

      Specified by:
        `getResourceClasses` in interface `ResteasyDeployment`

    - #### setResourceClasses

          public void setResourceClasses​(List<String> resourceClasses)

      Specified by:
        `setResourceClasses` in interface `ResteasyDeployment`

    - #### getMediaTypeMappings

          public Map<String,​String> getMediaTypeMappings()

      Specified by:
        `getMediaTypeMappings` in interface `ResteasyDeployment`

    - #### setMediaTypeMappings

          public void setMediaTypeMappings​(Map<String,​String> mediaTypeMappings)

      Specified by:
        `setMediaTypeMappings` in interface `ResteasyDeployment`

    - #### getResources

          public List<Object> getResources()

      Specified by:
        `getResources` in interface `ResteasyDeployment`

    - #### setResources

          public void setResources​(List<Object> resources)

      Specified by:
        `setResources` in interface `ResteasyDeployment`

    - #### getLanguageExtensions

          public Map<String,​String> getLanguageExtensions()

      Specified by:
        `getLanguageExtensions` in interface `ResteasyDeployment`

    - #### setLanguageExtensions

          public void setLanguageExtensions​(Map<String,​String> languageExtensions)

      Specified by:
        `setLanguageExtensions` in interface `ResteasyDeployment`

    - #### getRegistry

          public Registry getRegistry()

      Specified by:
        `getRegistry` in interface `ResteasyDeployment`

    - #### setRegistry

          public void setRegistry​(Registry registry)

      Specified by:
        `setRegistry` in interface `ResteasyDeployment`

    - #### getDispatcher

          public Dispatcher getDispatcher()

      Specified by:
        `getDispatcher` in interface `ResteasyDeployment`

    - #### setDispatcher

          public void setDispatcher​(Dispatcher dispatcher)

      Specified by:
        `setDispatcher` in interface `ResteasyDeployment`

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

      Specified by:
        `getProviderFactory` in interface `ResteasyDeployment`

    - #### setProviderFactory

          public void setProviderFactory​(ResteasyProviderFactory providerFactory)

      Specified by:
        `setProviderFactory` in interface `ResteasyDeployment`

    - #### setMediaTypeParamMapping

          public void setMediaTypeParamMapping​(String paramMapping)

      Specified by:
        `setMediaTypeParamMapping` in interface `ResteasyDeployment`

    - #### getResourceFactories

          public List<ResourceFactory> getResourceFactories()

      Specified by:
        `getResourceFactories` in interface `ResteasyDeployment`

    - #### setResourceFactories

          public void setResourceFactories​(List<ResourceFactory> resourceFactories)

      Specified by:
        `setResourceFactories` in interface `ResteasyDeployment`

    - #### getUnwrappedExceptions

          public List<String> getUnwrappedExceptions()

      Specified by:
        `getUnwrappedExceptions` in interface `ResteasyDeployment`

    - #### setUnwrappedExceptions

          public void setUnwrappedExceptions​(List<String> unwrappedExceptions)

      Specified by:
        `setUnwrappedExceptions` in interface `ResteasyDeployment`

    - #### getConstructedDefaultContextObjects

          public Map<String,​String> getConstructedDefaultContextObjects()

      Specified by:
        `getConstructedDefaultContextObjects` in interface `ResteasyDeployment`

    - #### setConstructedDefaultContextObjects

          public void setConstructedDefaultContextObjects​(Map<String,​String> constructedDefaultContextObjects)

      Specified by:
        `setConstructedDefaultContextObjects` in interface `ResteasyDeployment`

    - #### getDefaultContextObjects

          public Map<Class,​Object> getDefaultContextObjects()

      Specified by:
        `getDefaultContextObjects` in interface `ResteasyDeployment`

    - #### setDefaultContextObjects

          public void setDefaultContextObjects​(Map<Class,​Object> defaultContextObjects)

      Specified by:
        `setDefaultContextObjects` in interface `ResteasyDeployment`

    - #### getScannedResourceClasses

          public List<String> getScannedResourceClasses()

      Specified by:
        `getScannedResourceClasses` in interface `ResteasyDeployment`

    - #### setScannedResourceClasses

          public void setScannedResourceClasses​(List<String> scannedResourceClasses)

      Specified by:
        `setScannedResourceClasses` in interface `ResteasyDeployment`

    - #### getScannedProviderClasses

          public List<String> getScannedProviderClasses()

      Specified by:
        `getScannedProviderClasses` in interface `ResteasyDeployment`

    - #### setScannedProviderClasses

          public void setScannedProviderClasses​(List<String> scannedProviderClasses)

      Specified by:
        `setScannedProviderClasses` in interface `ResteasyDeployment`

    - #### getScannedJndiComponentResources

          public List<String> getScannedJndiComponentResources()

      Specified by:
        `getScannedJndiComponentResources` in interface `ResteasyDeployment`

    - #### setScannedJndiComponentResources

          public void setScannedJndiComponentResources​(List<String> scannedJndiComponentResources)

      Specified by:
        `setScannedJndiComponentResources` in interface `ResteasyDeployment`

    - #### getScannedResourceClassesWithBuilder

          public Map<String,​List<String>> getScannedResourceClassesWithBuilder()

      Specified by:
        `getScannedResourceClassesWithBuilder` in interface `ResteasyDeployment`

    - #### setScannedResourceClassesWithBuilder

          public void setScannedResourceClassesWithBuilder​(Map<String,​List<String>> scannedResourceClassesWithBuilder)

      Specified by:
        `setScannedResourceClassesWithBuilder` in interface `ResteasyDeployment`

    - #### isWiderRequestMatching

          public boolean isWiderRequestMatching()

      Specified by:
        `isWiderRequestMatching` in interface `ResteasyDeployment`

    - #### setWiderRequestMatching

          public void setWiderRequestMatching​(boolean widerRequestMatching)

      Specified by:
        `setWiderRequestMatching` in interface `ResteasyDeployment`

    - #### isAddCharset

          public boolean isAddCharset()

      Specified by:
        `isAddCharset` in interface `ResteasyDeployment`

    - #### setAddCharset

          public void setAddCharset​(boolean addCharset)

      Specified by:
        `setAddCharset` in interface `ResteasyDeployment`

    - #### getInjectorFactory

          public InjectorFactory getInjectorFactory()

      Specified by:
        `getInjectorFactory` in interface `ResteasyDeployment`

    - #### setInjectorFactory

          public void setInjectorFactory​(InjectorFactory injectorFactory)

      Specified by:
        `setInjectorFactory` in interface `ResteasyDeployment`

    - #### getProperty

          public Object getProperty​(String key)

      Specified by:
        `getProperty` in interface `ResteasyDeployment`

    - #### setProperty

          public void setProperty​(String key,
                                  Object value)

      Specified by:
        `setProperty` in interface `ResteasyDeployment`

    - #### setStatisticsEnabled

          public void setStatisticsEnabled​(boolean statisticsEnabled)

      Specified by:
        `setStatisticsEnabled` in interface `ResteasyDeployment`